{"openapi":"3.0.1","info":{"title":"DhanHQ API"},"servers":[{"url":"https://api.dhan.co/v2","description":"Generated server url"}],"paths":{"/ip/modifyIP":{"put":{"tags":["IP Setup"],"summary":"modify the static IP","description":"You can use this API to modify the Primary & Secondary IP for your account. You can modify the set IP only once in a specified period","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"modifyIP","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIPRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIPResponse"}}}}}}},"/ip/setIP":{"post":{"tags":["IP Setup"],"summary":"static IP Setup","description":"You can use this API to set the Primary & Secondary IP to be mapped to your account in order to enable Order Placement.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"setIP","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIPRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIPResponse"}}}}}}},"/ip/getIP":{"get":{"tags":["IP Setup"],"summary":"get the static IP","description":"Fetch the current Primary & Secondary IP for your account.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"getIP","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetIPDetailsResponse"}}}}}}},"/orders/{order-id}":{"get":{"tags":["Orders"],"summary":"get order by id","description":"The api allows you to retrieve the details of an order placed during the day with their last updated status, with their order id.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getorderbyorderid","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}}}},"put":{"tags":["Orders"],"summary":"modify pending order","description":"The api allows you modify pending order in orderbook. The fields that can be modified are price, quantity, order type & validity.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"modifyorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderModifyRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}},"delete":{"tags":["Orders"],"summary":"cancel given order","description":"The api allows you to cancel a pending order using the order id","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"cancelorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}},"/orders":{"get":{"tags":["Orders"],"summary":"get current orders list","description":"The API lets you retrieve an array of all orders requested in a day with their last updated status.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getorders","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderResponse"}}}}}}},"post":{"tags":["Orders"],"summary":"place an order","description":"The order request API allows you to place new order.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"placeorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}},"/orders/slicing":{"post":{"tags":["Orders"],"summary":"place slice order","description":"The order request API allows you to place a new slice order.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"placesliceorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}}},"/trades":{"get":{"tags":["Orders"],"summary":"get all trades","description":"The api allows you retrieve an array of all trades executed in a day.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getalltrades","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TradeResponse"}}}}}}}},"/trades/{order-id}":{"get":{"tags":["Orders"],"summary":"get trade by order id","description":"The api allows user to retrieve trade details using an order id. Often during partial trades or Bracket/ Cover Orders, traders get confused in reading trade from tradebook. The response of this API will include all the trades generated for a particular order id.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"gettradebyorderid","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TradeResponse"}}}}}}}},"/trades/{from-date}/{to-date}/{page-number}":{"get":{"tags":["Orders"],"summary":"get trade history","description":"The api allows user to retrieve the trade history Often during partial trades or Bracket/ Cover Orders, traders get confused in reading trade from tradebook. The response of the api will include all the trades generated for a particular order id.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"gettradehistory","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"from-date","in":"path","description":"date format : yyyy-MM-dd","required":true,"schema":{"type":"string","description":"date format : yyyy-MM-dd"}},{"name":"to-date","in":"path","description":"date format : yyyy-MM-dd","required":true,"schema":{"type":"string","description":"date format : yyyy-MM-dd"}},{"name":"page-number","in":"path","description":"default value : 0 ","required":true,"schema":{"type":"string","description":"default value : 0 "}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TradeHistoryResponseModel"}}}}}}}},"/orders/external/{correlation-id}":{"get":{"tags":["Orders"],"summary":"get order by correlation id","description":"The api allows you to retrieve the details of an order placed during the day, with its most recent status, using a correlation id provided by the API consumer at the time of order placement. This feature is available in case the user has missed the order id for any reason.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getorderbycorrelationid","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"correlation-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponse"}}}}}}},"/super/orders/{order-id}":{"put":{"tags":["Super Order"],"summary":"modify pending super order","description":"This API can be used to modify any leg of a Super Order till it is in PENDING or PART_TRADED state.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"modifysuperorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuperModifyRequest"}}},"required":true},"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}},"/super/orders":{"get":{"tags":["Super Order"],"summary":"get current super orders list","description":"The API lets you retrieve an array of all orders with their last updated status along with legdetails.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getsuperorders","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SuperOrderResponse"}}}}}}},"post":{"tags":["Super Order"],"summary":"place super order","description":"The order API allows you to place a new order.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"placesuperorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuperOrderRequest"}}},"required":true},"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}},"/super/orders/{order-id}/{order-leg}":{"delete":{"tags":["Super Order"],"summary":"cancel super order","description":"User can cancel any leg of a super order which is PENDING using this API.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"cancelsuperorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","description":"Order ID of the Order being cancelled","required":true,"schema":{"type":"string","description":"Order ID of the Order being cancelled"}},{"name":"order-leg","in":"path","description":"Order Leg to be cancelled","required":true,"schema":{"type":"string","description":"Order Leg to be cancelled","enum":["ENTRY_LEG","STOP_LOSS_LEG","TARGET_LEG"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}},"/alerts/orders/{alertId}":{"get":{"tags":["Conditional and Multi Order"],"summary":"get conditional order by ID","description":"Retrieve the status and detailed conditional triggers for a specific alert order by its unique identification ","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"getAlertOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"alertId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAlertResponse"}}}}}},"put":{"tags":["Conditional and Multi Order"],"summary":"modify conditional order","description":"Modify an existing alert order by updating its conditional trigger logic and/or the associated order execution parameters.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"modifyAlertOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"alertId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertModifyRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertOrderResponse"}}}}}},"delete":{"tags":["Conditional and Multi Order"],"summary":"delete conditional order","description":"Delete an existing conditional trigger using its unique identifier.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"delAlertOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"alertId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertOrderResponse"}}}}}}},"/alerts/orders":{"get":{"tags":["Conditional and Multi Order"],"summary":"get all conditional orders","description":"Retrieve a list of all conditional triggers for the authenticated account, along with their current status and configuration details.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"getAllAlertOrders","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetAlertResponse"}}}}}}},"post":{"tags":["Conditional and Multi Order"],"summary":"place conditional order","description":"The Conditional Trigger (Alerts) API lets you define conditions (price or technical indicators) that, when met, place one or multiple orders automatically on the user’s Dhan account. It supports multiple combinations of indicators and operators along with optional webhook callbacks.  \n**Notes** :\n* Conditions are currently supported only for Equities and Indices. \n* You can receive a postback update by providing a Webhook URL while generating the Access Token.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"alertOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertOrderRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertOrderResponse"}}}}}}},"/alerts/multi/orders":{"post":{"tags":["Conditional and Multi Order"],"summary":"place multi order","description":"Place a multi order directly without any conditions.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"placeMultiOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiOrderRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiOrderResponse"}}}}}}},"/forever/orders/{order-id}":{"put":{"tags":["Forever Order"],"summary":"modify pending forever order","description":"The api allows you to modify pending forever order in orderbook. The fields that can be modified are price, quantity and order type.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"modifyforeverorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GttModifyRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GttOrderStatusResponse"}}}}}},"delete":{"tags":["Forever Order"],"summary":"cancel given forever order","description":"The api allows you to cancel existing forever order.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"cancelforeverorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GttOrderStatusResponse"}}}}}}},"/forever/orders":{"get":{"tags":["Forever Order"],"summary":"get forever orders list","description":"The api allows you to retrieve an array of all forever orders placed with their last updated status.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getforeverorders","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GttOrderResponse"}}}}}}},"post":{"tags":["Forever Order"],"summary":"place forever order","description":"The order request api allows you place a new forever order.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"placeforeverorder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GTTOrderModel"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GttOrderStatusResponse"}}}}}}},"/positions/convert":{"post":{"tags":["Positions & Portfolio"],"summary":"convert position","description":"Users can convert their open position from intraday to delivery or delivery to intraday.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"convertposition","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PositionConversionRequest"}}},"required":true},"responses":{"202":{"description":"Successful operation","content":{"application/json":{}}}}}},"/positions":{"get":{"tags":["Positions & Portfolio"],"summary":"get current positions","description":"Users can retrieve a list of all open positions for the day. This includes all F&O carryforward positions as well.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getpositions","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PositionResponse"}}}}}}},"delete":{"tags":["Positions & Portfolio"],"summary":"exit all position","description":"The Exit All Position API allows users to exit all active positions and cancel all open orders for the authenticated account.\nNote: All open orders and positions are exited for the current trading day only.\n","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"orderExitAll","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIPResponse"}}}}}}},"/holdings":{"get":{"tags":["Positions & Portfolio"],"summary":"get current holdings","description":"Users can retrieve all holdings bought/sold in previous trading sessions. All T1 and delivered quantities can be fetched.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getholdings","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HoldingResponse"}}}}}}}},"/edis/form":{"post":{"tags":["EDIS"],"summary":"generate edis form","description":"Retrieve escaped html form of CDSL and enter T-PIN to mark the stock for EDIS approval. Partner has to render this form at their end to unescape.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"edisform","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdisFormRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdisFormResponse"}}}}}}},"/edis/bulkform":{"post":{"tags":["EDIS"],"summary":"generate bulk edis form","description":"Retrieve escaped html form of CDSL and enter T-PIN to mark the stock for EDIS approval. Partner has to render this form at their end to unescape.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"bulkedisform","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdisBulkFormRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdisFormResponse"}}}}}}},"/edis/tpin":{"get":{"tags":["EDIS"],"summary":"generate edis T-pin","description":"Get T-pin on registered mobile number using this API.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"edistpin","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"202":{"description":"Successful operation","content":{"application/json":{}}}}}},"/edis/inquire/{isin}":{"get":{"tags":["EDIS"],"summary":"get edis authorized quantity","description":"The api allows user to check the edis status of the securities. User have to enter isin of the stock. An international securities identification number (ISIN) is a 12-digit alphanumeric code that uniquely identifies a specific security. You can get ISIN of portfolio stocks, in response of holdings api.Or use ALL as a special case to query all holdings' edis auth status","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"edisqtystatus","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"isin","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdisQtyStatusResponse"}}}}}}},"/pnlExit":{"get":{"tags":["Trader's Control"],"summary":"get P&L based exit ","description":"The Get P&L Based Exit API allows users to fetch the currently active P&L based exit configuration, including profit/loss thresholds and exit behavior.  \n **Notes** :\nReturns the active P&L based exit configuration for the current trading day, if any ","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"getPnlExit","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExitPnlResponse"}}}}}},"post":{"tags":["Trader's Control"],"summary":"P&L based exit ","description":"The P&L Based Exit API allows users to configure automatic exit rules based on cumulative profit or loss thresholds. When the defined limits are breached, all applicable positions are exited.  \n**Notes** :\n The configured P&L based exit remains active for the current trading day and is reset at the end of the session\n","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"pnlExit","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PnlBasedExitRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PnlExitResponse"}}}}}},"delete":{"tags":["Trader's Control"],"summary":"stop P&L based exit ","description":"The Stop P&L Based Exit API allows users to disable an active P&L based exit configuration. Once stopped, no automatic exits will be triggered based on profit or loss thresholds.  \n**Notes** :\nDisabling the P&L based exit applies only to the current trading day.\n","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"stopPnlExit","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserIPResponse"}}}}}}},"/killswitch":{"get":{"tags":["Trader's Control"],"summary":"kill switch status","description":"The api allows you to check  killSwitch status for your account, which will disable trading for current trading day","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"KillSwitchStatus","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KillSwitchResponse"}}}}}},"post":{"tags":["Trader's Control"],"summary":"manage kill switch","description":"The api allows you to control killSwitch for your account, which will disable trading for current trading day","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"killswitch","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"killSwitchStatus","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KillSwitchResponse"}}}}}}},"/margincalculator":{"post":{"tags":["Funds & Margin"],"summary":"margin calculator","description":"Margin Calculation API lets you calculate span, exposure, var, brokerage, leverage, available  margin values for any type of order and instrument.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"margincalculator","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KnowYourMarginReq"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KnowYourMarginResponse"}}}}}}},"/margincalculator/multi":{"post":{"tags":["Funds & Margin"],"summary":"multi order margin calculator","description":"The Multi Order Margin Calculator API allows users to calculate margin requirements for multiple scripts in a single request, including span, exposure, equity, FO, and commodity margins.  \n**Notes** :\nMargin values returned are indicative and valid only for the current trading session.\n","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"margincalculatormulti","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiScripMarginCalcRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiScripMarginCalcResponse"}}}}}}},"/fundlimit":{"get":{"tags":["Funds & Margin"],"summary":"get fund limit details","description":"Get all information of your trading account like balance, margin utilised, collateral, etc.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"fundlimit","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundLimitResponse"}}}}}}},"/ledger":{"get":{"tags":["Statements"],"summary":"get ledger report","description":"The api allows user to fetch trading account ledger with all credit and debit transaction details","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"ledger","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"from-date","in":"query","description":"date format : yyyy-MM-dd","required":false,"schema":{"type":"string","description":"date format : yyyy-MM-dd"}},{"name":"to-date","in":"query","description":"date format : yyyy-MM-dd","required":false,"schema":{"type":"string","description":"date format : yyyy-MM-dd"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoLedgerResponse"}}}}}}},"/data/technical":{"post":{"tags":["Data API's"],"summary":"technical data","description":"Fetch technical indicator values for an instrument. Pass the indicators you need - only those are computed and returned. All values are point-in-time as of the latest closed candle for the requested timeframe.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"technicalMetrics","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TechnicalMetricsRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TechnicalMetricsResponse"}}}}}}},"/data/newsheadline":{"post":{"tags":["Data API's"],"summary":"live news headline","description":"Fetch the latest news headlines as of now, filterable by category and stock, capped at limit (max 50) items.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"newsHeadline","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsHeadlineRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsHeadlineResponse"}}}}}}},"/data/marketmovers":{"post":{"tags":["Data API's"],"summary":"market movers","description":"Fetch top options, futures, and stocks ranked by open interest, traded volume, or price movement. Select the instrument type(s) and ranking category to retrieve the highest-ranked instruments.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"marketMovers","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopInstrumentsRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopInstrumentsResponse"}}}}}}},"/data/companyinfo":{"post":{"tags":["Data API's"],"summary":"company info","description":"Fetch key company information for a single equity instrument, including company overview, valuation and profitability ratios, industry benchmarks, shareholding pattern, and key price and financial indicators.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"companyInfo","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundamentalMetricsRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundamentalMetricsResponse"}}}}}}},"/charts/rollingoption":{"post":{"tags":["Data API's"],"summary":"fetch expired option data","description":"Fetch minute-wise rolling option chart data of expired contracts - including OHLC, volume, IV based on strike.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v2/"},"operationId":"optionchart","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OptionChartRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OptionChartResponse"}}}}}}},"/charts/intraday":{"post":{"tags":["Data API's"],"summary":"fetch OHLC for minute timeframe","description":"Retrieve OHLC & Volume of minute candle for desired instrument for current day. This data available for all segments including futures & options.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"intradaycharts","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntradayChartsRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChartsResponse"}}}}}}},"/charts/historical":{"post":{"tags":["Data API's"],"summary":"fetch OHLC for daily candle","description":"Retrieve OHLC & Volume of daily candle for desired instrument. The data for any scrip is available back upto the date of its inception.","externalDocs":{"description":"please refer the link for detailed docs","url":"https://dhanhq.co/docs/v1/"},"operationId":"historicalcharts","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoricalChartsRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChartsResponse"}}}}}}},"/globalstocks/orders/{order-id}":{"get":{"tags":["Global Stocks"],"summary":"Get order by order ID","description":"Retrieve a specific order by order ID.","operationId":"getOrderByOrderId","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxOrderResponse"}}}}}},"put":{"tags":["Global Stocks"],"summary":"Modify order","description":"Modify an existing order.","operationId":"modifyOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxModifyRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}},"delete":{"tags":["Global Stocks"],"summary":"Cancel order","description":"Cancel an existing order.","operationId":"cancelOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"order-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}},"/globalstocks/transEstimate":{"post":{"tags":["Global Stocks"],"summary":"Order estimator","description":"Calculate order estimation.","operationId":"getOrderEstimator","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxEstimatorRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxEstimatorResponse"}}}}}}},"/globalstocks/orders":{"get":{"tags":["Global Stocks"],"summary":"Get order book","description":"Retrieve all orders placed.","operationId":"getOrders","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InxOrderResponse"}}}}}}},"post":{"tags":["Global Stocks"],"summary":"Place Order","description":"Place a new order.","operationId":"placeOrder","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxOrderRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderStatusResponse"}}}}}}},"/globalstocks/margincalculator":{"post":{"tags":["Global Stocks"],"summary":"Margin Calculator","description":"Calculate margin requirements.","operationId":"getKnowYourMargin","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxEstimatorRequest"}}},"required":true},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxMarginResponse"}}}}}}},"/globalstocks/trades":{"get":{"tags":["Global Stocks"],"summary":"Get past trades","description":"Retrieve past trades.","operationId":"getPastTrades","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InxTradeResponse"}}}}}}}},"/globalstocks/trades/{security-id}":{"get":{"tags":["Global Stocks"],"summary":"Get past trades by script","description":"Retrieve past trades for a specific security.","operationId":"getPastTradesByScript","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"security-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InxTradeResponse"}}}}}}}},"/globalstocks/marketstatus":{"get":{"tags":["Global Stocks"],"summary":"Get market status","description":"Retrieve market status.","operationId":"getMarketStatus","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxMarketStatusResponse"}}}}}}},"/globalstocks/holdings":{"get":{"tags":["Global Stocks"],"summary":"Get holdings","description":"Retrieve holdings for the user.","operationId":"getHoldings","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InxHoldingResponse"}}}}}}}},"/globalstocks/fundlimit":{"get":{"tags":["Global Stocks"],"summary":"Get fund limit","description":"Get fund limit details.","operationId":"getFundLimit","parameters":[{"name":"access-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InxFundLimitResponse"}}}}}}}},"components":{"schemas":{"SuperModifyRequest":{"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"orderId":{"type":"string","description":"Order specific identification generated by Dhan"},"orderType":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| LIMIT            | For Limit Order types       |\n| MARKET           | For market Order types      |","enum":["LIMIT","MARKET"]},"legName":{"type":"string","description":"ENTRY_LEG - Entire Super Order can be modified, only when main order status is `PENDING`, TARGET_LEG STOP_LOSS_LEG","enum":["ENTRY_LEG","STOP_LOSS_LEG","TARGET_LEG"]},"quantity":{"type":"integer","description":"Quantity to be modified - only for ENTRY_LEG","format":"int32"},"price":{"type":"number","description":"Price to be modified - only for ENTRY_LEG","format":"float"},"targetPrice":{"type":"number","description":"Target Price to be modified - ENTRY_LEG or TARGET_LEG","format":"float"},"stopLossPrice":{"type":"number","description":"Stop Loss Price to be modified - ENTRY_LEG or STOP_LOSS_LEG","format":"float"},"trailingJump":{"type":"number","description":"Stop Loss Price jump to be modified - ENTRY_LEG or STOP_LOSS_LEG","format":"float"}}},"OrderStatusResponse":{"type":"object","properties":{"orderId":{"type":"string","description":"Order specific identification generated by Dhan"},"orderStatus":{"type":"string","description":"| **Enum Values** | **Description**                             |\n|-----------------|---------------------------------------------|\n| TRANSIT         | Did not reach the exchange server           |\n| PENDING         | Reached at exchange end, awaiting execution |\n| REJECTED        | Rejected at exchange/broker’s end           |\n| CANCELLED       | Cancelled by user                           |\n| PART_TRADED     | Partially Executed                          |\n| TRADED          | Executed                                    |\n| EXPIRED         | Validity of order is expired                |","enum":["TRANSIT","PENDING","REJECTED","CANCELLED","PART_TRADED","TRADED","EXPIRED","MODIFIED","TRIGGERED","INACTIVE"]}}},"OrderModifyRequest":{"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"orderId":{"type":"string","description":"Order specific identification generated by Dhan"},"orderType":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| LIMIT            | For Limit Order types       |\n| MARKET           | For market Order types      |\n| STOP_LOSS        | For Stop Loss Limit orders  |\n| STOP_LOSS_MARKET | For Stop Loss Market orders |","enum":["LIMIT","MARKET","STOP_LOSS","STOP_LOSS_MARKET"]},"legName":{"type":"string","description":"Order leg where modification is to be done","enum":["ENTRY_LEG","STOP_LOSS_LEG","TARGET_LEG","NA"]},"quantity":{"type":"integer","description":"Number of shares for the order","format":"int32"},"price":{"type":"number","description":"Price at which order is placed","format":"float"},"disclosedQuantity":{"type":"integer","description":"Number of shares visible (Keep more than 30% of quantity)","format":"int32"},"triggerPrice":{"type":"number","description":"Price at which the order is triggered, in case of SL-M & SL-L","format":"float"},"validity":{"type":"string","description":"| **Enum Values** | **Description**       |\n|-----------------|-----------------------|\n| DAY             | Valid till end of day |\n| IOC             | Immediate or Cancel   |","enum":["DAY","IOC"]}}},"UserIPRequest":{"required":["ip","ipFlag"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"ip":{"type":"string","description":"User specific IP"},"ipFlag":{"type":"string","description":"| **Enum Values** | **Description** |\n|-----------------|-----------------------------|\n| PRIMARY         | Primary IP          |\n| SECONDARY       | Secondary IP        |"}}},"UserIPResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"string","description":"| **Enum Values** | **Description** |\n|-----------------|----------------|\n| SUCCESS         | Operation was successful |\n| ERROR           | Operation failed |"}}},"InxModifyRequest":{"required":["orderType","securityId","transactionType"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"orderType":{"type":"string","description":"Order type - MARKET, LIMIT, STOP_LOSS, STOP_LOSS_MARKET","enum":["MARKET","LIMIT","STOP_LOSS","STOP_LOSS_MARKET","AMOUNT"]},"transactionType":{"type":"string","description":"Transaction type - BUY or SELL","enum":["BUY","SELL"]},"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"quantity":{"type":"number","description":"Number of shares for the order","format":"float"},"price":{"type":"number","description":"Price at which order is placed","format":"float"},"legName":{"type":"string","description":"Leg name - ENTRY_LEG, STOP_LOSS_LEG, TARGET_LEG","enum":["ENTRY_LEG","STOP_LOSS_LEG","TARGET_LEG","NA","ENTRY_LEG","STOP_LOSS_LEG","TARGET_LEG"]}}},"GttModifyRequest":{"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"orderId":{"type":"string","description":"Order specific identification generated by Dhan"},"orderFlag":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| SINGLE           | For GTT Order types       |\n| OCO              | For OCO Order types      |","enum":["SINGLE","OCO"]},"orderType":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| LIMIT            | For Limit Order types       |\n| MARKET           | For market Order types      |","enum":["LIMIT","MARKET"]},"legName":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|----------------------|-----------------------------------------------|\n| TARGET_LEG           | For Target Leg                                |\n| STOP_LOSS_LEG        | For SL leg, in case of OCO OrderType          |","enum":["TARGET_LEG","STOP_LOSS_LEG"]},"quantity":{"type":"integer","description":"Number of shares for the order","format":"int32"},"price":{"type":"number","description":"Price at which order is placed","format":"float"},"disclosedQuantity":{"type":"integer","description":"Number of shares visible (Keep more than 30% of quantity)","format":"int32"},"triggerPrice":{"type":"number","description":"Price at which the order is triggered, in case of SL-M & SL-L","format":"float"},"validity":{"type":"string","description":"Valid for 1Year/Expiry"}}},"GttOrderStatusResponse":{"type":"object","properties":{"orderId":{"type":"string","description":"Order specific identification generated by Dhan"},"orderStatus":{"type":"string","description":"| **Enum Values** | **Description**                             |\n|-----------------|---------------------------------------------|\n| PENDING         | Reached at exchange end, awaiting execution |\n| REJECTED        | Rejected at exchange/broker’s end           |\n| CANCELLED       | Cancelled by user                           |\n| EXPIRED         | Validity of order is expired                |","enum":["PENDING","REJECTED","CANCELLED","EXPIRED"]}}},"AlertCondition":{"required":["securityId"],"type":"object","properties":{"comparisonType":{"type":"string","description":"Type of comparison","enum":["TECHNICAL_WITH_VALUE","TECHNICAL_WITH_INDICATOR","TECHNICAL_WITH_CLOSE","PRICE_WITH_VALUE"]},"exchangeSegment":{"type":"string","description":"The exchange where the condition is checked","enum":["NSE_EQ","BSE_EQ","IDX_I"]},"securityId":{"maxLength":20,"minLength":0,"type":"string","description":"Condition security"},"indicatorName":{"type":"string","description":"Name of the indicator","enum":["SMA_5","SMA_10","SMA_20","SMA_50","SMA_100","SMA_200","EMA_5","EMA_10","EMA_20","EMA_50","EMA_100","EMA_200","BB_UPPER","BB_LOWER","RSI_14","ATR_14","STOCHASTIC","STOCHRSI_14","MACD_26","MACD_12","MACD_HIST"]},"timeFrame":{"type":"string","description":"Time frame for technical indicators","enum":["DAY","ONE_MIN","FIVE_MIN","FIFTEEN_MIN"]},"operator":{"type":"string","description":"Comparison operator","enum":["CROSSING_UP","CROSSING_DOWN","CROSSING_ANY_SIDE","GREATER_THAN","LESS_THAN","GREATER_THAN_EQUAL","LESS_THAN_EQUAL","EQUAL","NOT_EQUAL"]},"comparingValue":{"type":"number","description":"Target value for comparison","format":"float"},"comparingIndicatorName":{"type":"string","description":"The technical indicator to compare against when using TechnicalWithIndicator conditions.  \nThis represents the right-hand side (RHS) indicator in a technical comparison   \nFor e.g. SMA_20 crossing above SMA_50","enum":["SMA_5","SMA_10","SMA_20","SMA_50","SMA_100","SMA_200","EMA_5","EMA_10","EMA_20","EMA_50","EMA_100","EMA_200","BB_UPPER","BB_LOWER","RSI_14","ATR_14","STOCHASTIC","STOCHRSI_14","MACD_26","MACD_12","MACD_HIST"]},"expDate":{"type":"string","description":"Expiry date of alert","format":"date"},"frequency":{"type":"string","description":"Evaluation frequency","enum":["ONCE"]},"userNote":{"type":"string","description":"User-provided note  \n For eg. Price crossing SMA"}},"description":"Alert condition details"},"AlertModifyRequest":{"required":["alertId","condition","dhanClientId"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"alertId":{"type":"string","description":"Unique ID generated by Dhan  \n For eg. \"12345\""},"condition":{"$ref":"#/components/schemas/AlertCondition"},"orders":{"type":"array","description":"List of orders to execute when alert is triggered","items":{"$ref":"#/components/schemas/AlertOrder"}}}},"AlertOrder":{"required":["exchangeSegment","orderType","productType","quantity","securityId","transactionType","validity"],"type":"object","properties":{"transactionType":{"type":"string","description":"Type of transaction","enum":["BUY","SELL"]},"exchangeSegment":{"type":"string","description":"The exchange where the transaction takes place","enum":["NSE_EQ","NSE_FNO","NSE_COMM","BSE_EQ","BSE_FNO","MCX_COMM"]},"productType":{"type":"string","description":"Product type","enum":["CNC","INTRADAY","MARGIN","MTF","CO","BO"]},"orderType":{"type":"string","description":"Type of order","enum":["LIMIT","MARKET","STOP_LOSS","STOP_LOSS_MARKET"]},"securityId":{"maxLength":20,"minLength":0,"type":"string","description":"Unique identifier for the security"},"quantity":{"type":"integer","description":"Quantity of securities to trade","format":"int32"},"validity":{"type":"string","description":"Order validity","enum":["DAY","IOC"]},"price":{"type":"string","description":"Price per unit  \n For eg. \"250.5\""},"discQuantity":{"type":"string","description":"Disclosed quantity  \n For eg. \"100\""},"triggerPrice":{"type":"string","description":"Trigger price for stop-loss or trigger orders  \n For eg. \"2500.0\""}},"description":"List of orders to execute when alert is triggered"},"AlertOrderResponse":{"type":"object","properties":{"alertId":{"type":"string","description":"Alert ID generated by Dhan"},"alertStatus":{"type":"string","description":"| **Status**   | **Description**                   |\n|--------------|-----------------------------------|\n| ACTIVE       | Alert is currently active         |\n| TRIGGERED    | Alert condition has been met      |\n| EXPIRED      | Alert expired without triggering  |\n| CANCELLED    | Alert was manually cancelled      |"}}},"SuperOrderRequest":{"required":["exchangeSegment","transactionType"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"correlationId":{"maxLength":30,"minLength":0,"type":"string","description":"The user/partner generated id for tracking back"},"transactionType":{"type":"string","description":"The trading side of transaction","enum":["BUY","SELL"]},"exchangeSegment":{"type":"string","description":"| **Enums**    | **Exchange** | **Segment**       |\n|--------------|--------------|-------------------|\n| NSE_EQ       | NSE          | Equity Cash       |\n| NSE_FNO      | NSE          | Futures & Options |\n| NSE_COMM     | NSE          | Commodity |\n| BSE_EQ       | BSE          | Equity Cash       |\n| BSE_FNO      | BSE          | Futures & Options |\n| MCX_COMM     | MCX          | Commodity         |\n","enum":["NSE_EQ","NSE_FNO","NSE_COMM","BSE_EQ","BSE_FNO","MCX_COMM"]},"productType":{"type":"string","description":"| **Enum Values** | **Description**                                |\n|-----------------|------------------------------------------------|\n| CNC             | Cash & Carry for equity deliveries             |\n| INTRADAY        | Intraday for Equity, Futures & Options         |\n| MARGIN          | Carry Forward in Futures & Options             |\n| MTF             | Margin Traded Fund                             |\n","enum":["CNC","INTRADAY","MARGIN","MTF"]},"orderType":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| LIMIT            | For Limit Order types       |\n| MARKET           | For market Order types      |","enum":["LIMIT","MARKET"]},"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"quantity":{"type":"integer","description":"Number of shares for the order","format":"int32"},"price":{"type":"number","description":"Price at which order is placed","format":"float"},"targetPrice":{"type":"number","description":"Target price for the Super Order","format":"float"},"stopLossPrice":{"type":"number","description":"Stop Loss Price for the Super Order","format":"float"},"trailingJump":{"type":"number","description":"Price Jump by which Stop Loss should be trailed","format":"float"}}},"PositionConversionRequest":{"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"fromProductType":{"type":"string","description":"| **Enum Values** | **Description**                                |\n|-----------------|------------------------------------------------|\n| CNC             | Cash & Carry for equity deliveries             |\n| INTRADAY        | Intraday for Equity, Futures & Options         |\n| MARGIN          | Carry Forward in Futures & Options             |","enum":["CNC","INTRADAY","MARGIN","MTF","CO","BO"]},"exchangeSegment":{"type":"string","description":"| **Enums**    | **Exchange** | **Segment**       |\n|--------------|--------------|-------------------|\n| NSE_EQ       | NSE          | Equity Cash       |\n| NSE_FNO      | NSE          | Futures & Options |\n| BSE_EQ       | BSE          | Equity Cash       |\n| BSE_FNO      | BSE          | Futures & Options |\n| MCX_COMM     | MCX          | Commodity         |\n","enum":["NSE_EQ","NSE_FNO","BSE_EQ","BSE_FNO","MCX_COMM"]},"positionType":{"type":"string","description":"| **Enum Values** | **Description**                                     |\n|-----------------|-----------------------------------------------------|\n| LONG            | When net bought quantity is more than sold quantity |\n| SHORT           | When net sold quantity is more than bought quantity |\n| CLOSED          | When no open position standing                      |","enum":["LONG","SHORT","CLOSED"]},"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"convertQty":{"type":"integer","description":"Number of shares for the conversion","format":"int32"},"toProductType":{"type":"string","description":"| **Enum Values** | **Description**                                |\n|-----------------|------------------------------------------------|\n| CNC             | Cash & Carry for equity deliveries             |\n| INTRADAY        | Intraday for Equity, Futures & Options         |\n| MARGIN          | Carry Forward in Futures & Options             |","enum":["CNC","INTRADAY","MARGIN","MTF","CO","BO"]}}},"PnlBasedExitRequest":{"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"profitValue":{"type":"number","description":"User-defined target profit amount for the PNL exit","format":"float"},"lossValue":{"type":"number","description":"User-defined target loss amount for the PNL exit","format":"float"},"enableKillSwitch":{"type":"boolean","description":"Indicates if the kill switch is enabled for this PNL exit","default":false},"productType":{"type":"array","description":"| **Enum Values** | **Description** |\n|-----------------|----------------|\n| INTRADAY         | Intraday for Equity, Futures & Options |\n| DELIVERY         | Delivery for equity deliveries |","items":{"type":"string","description":"| **Enum Values** | **Description** |\n|-----------------|----------------|\n| INTRADAY         | Intraday for Equity, Futures & Options |\n| DELIVERY         | Delivery for equity deliveries |"}}}},"PnlExitResponse":{"type":"object","properties":{"message":{"type":"string"},"pnlExitStatus":{"type":"string","description":"| **Enum Values** | **Description** |\n|-----------------|----------------|\n| ACTIVE         | P&L based exit configured successfully |\n| INACTIVE       | No active P&L based exit configured for the current trading day |"}}},"OrderRequest":{"required":["exchangeSegment","transactionType"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"correlationId":{"maxLength":30,"minLength":0,"type":"string","description":"The user/partner generated id for tracking back"},"transactionType":{"type":"string","description":"Signifies the type of transaction whether it's BUY or SELL","enum":["BUY","SELL"]},"exchangeSegment":{"type":"string","description":"| **Enums**    | **Exchange** | **Segment**       |\n|--------------|--------------|-------------------|\n| NSE_EQ       | NSE          | Equity Cash       |\n| NSE_FNO      | NSE          | Futures & Options |\n| NSE_COMM      | NSE          | Commodity |\n| BSE_EQ       | BSE          | Equity Cash       |\n| BSE_FNO      | BSE          | Futures & Options |\n| MCX_COMM     | MCX          | Commodity         |\n","enum":["NSE_EQ","NSE_FNO","NSE_COMM","BSE_EQ","BSE_FNO","MCX_COMM"]},"productType":{"type":"string","description":"| **Enum Values** | **Description**                                |\n|-----------------|------------------------------------------------|\n| CNC             | Cash & Carry for equity deliveries             |\n| INTRADAY        | Intraday for Equity, Futures & Options         |\n| MARGIN          | Carry Forward in Futures & Options             |\n| CO              | Cover Order; entry and stop loss               |\n| BO              | Bracket Order; entry, stop loss & target price |\n| MTF             | Margin Traded Fund                             |\n**CO & BO product types will be valid only for Intraday**","enum":["CNC","INTRADAY","MARGIN","MTF","CO","BO"]},"orderType":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| LIMIT            | For Limit Order types       |\n| MARKET           | For market Order types      |\n| STOP_LOSS        | For Stop Loss Limit orders  |\n| STOP_LOSS_MARKET | For Stop Loss Market orders |","enum":["LIMIT","MARKET","STOP_LOSS","STOP_LOSS_MARKET"]},"validity":{"type":"string","description":"| **Enum Values** | **Description**       |\n|-----------------|-----------------------|\n| DAY             | Valid till end of day |\n| IOC             | Immediate or Cancel   |","enum":["DAY","IOC"]},"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"quantity":{"type":"integer","description":"Number of shares for the order","format":"int32"},"disclosedQuantity":{"type":"integer","description":"Number shares visible in the market depth","format":"int32"},"price":{"type":"number","description":"Price at which the order is requested to execute","format":"float"},"triggerPrice":{"type":"number","description":"Price at which the order is triggered","format":"float"},"afterMarketOrder":{"type":"boolean","description":"Flag to inform that the order placed is After Market Order"},"amoTime":{"type":"string","description":"Flag to inform after what time AMO is pumped","enum":["OPEN","OPEN_30","OPEN_60","PRE_OPEN"]},"boProfitValue":{"type":"number","description":"Bracket order Target price","format":"float"},"boStopLossValue":{"type":"number","description":"Bracket Order/Cover Order Stop Loss Price","format":"float"}}},"KnowYourMarginReq":{"required":["exchangeSegment","transactionType"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"exchangeSegment":{"type":"string","description":"| **Enums**    | **Exchange** | **Segment**       |\n|--------------|--------------|-------------------|\n| NSE_EQ       | NSE          | Equity Cash       |\n| NSE_FNO      | NSE          | Futures & Options |\n| BSE_EQ       | BSE          | Equity Cash       |\n| BSE_FNO      | BSE          | Futures & Options |\n| MCX_COMM     | MCX          | Commodity         |\n","enum":["NSE_EQ","NSE_FNO","BSE_EQ","BSE_FNO","MCX_COMM"]},"transactionType":{"type":"string","description":"Signifies the type of transaction whether it's BUY or SELL","enum":["BUY","SELL"]},"quantity":{"type":"integer","description":"Number of shares for the order","format":"int32"},"productType":{"type":"string","description":"| **Enum Values** | **Description**                                |\n|-----------------|------------------------------------------------|\n| CNC             | Cash & Carry for equity deliveries             |\n| INTRADAY        | Intraday for Equity, Futures & Options         |\n| MARGIN          | Carry Forward in Futures & Options             |\n| CO              | Cover Order; entry and stop loss               |\n| BO              | Bracket Order; entry, stop loss & target price |\n**CO & BO product types will be valid only for Intraday**","enum":["CNC","INTRADAY","MARGIN","MTF","CO","BO"]},"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"price":{"type":"number","description":"Price at which the order is requested to execute","format":"float"},"triggerPrice":{"type":"number","description":"Price at which the order is requested to trigger","format":"float"}}},"KnowYourMarginResponse":{"type":"object","properties":{"totalMargin":{"type":"number","description":"Total available margin to trade","format":"float"},"spanMargin":{"type":"number","description":"Available span margin","format":"float"},"exposureMargin":{"type":"number","description":"Available exposure margin","format":"float"},"availableBalance":{"type":"number","description":"Available balance to trade","format":"float"},"variableMargin":{"type":"number","description":"Variable margin","format":"float"},"insufficientBalance":{"type":"number","description":"Insufficient balance","format":"float"},"brokerage":{"type":"number","description":"Applicable brokerage","format":"float"},"leverage":{"type":"string","description":"Applicable leverage"}}},"MultiScripMarginCalcRequest":{"type":"object","properties":{"includePosition":{"type":"boolean","default":false},"includeOrder":{"type":"boolean","default":false},"dhanClientId":{"type":"string"},"scripList":{"type":"array","items":{"$ref":"#/components/schemas/ScriptItem"}}}},"ScriptItem":{"type":"object","properties":{"exchangeSegment":{"type":"string","enum":["NSE_EQ","NSE_FNO","NSE_COMM","BSE_EQ","BSE_FNO","MCX_COMM"]},"transactionType":{"type":"string","enum":["BUY","SELL"]},"quantity":{"type":"integer","format":"int32"},"productType":{"type":"string","enum":["CNC","INTRADAY","MARGIN","MTF","CO","BO"]},"securityId":{"type":"string"},"price":{"type":"number","format":"float"},"triggerPrice":{"type":"number","format":"float"}}},"MultiScripMarginCalcResponse":{"type":"object","properties":{"clientId":{"type":"string"},"totalMargin":{"type":"number","format":"double"},"spanMargin":{"type":"number","format":"double"},"exposure":{"type":"number","format":"double"},"equityMargin":{"type":"number","format":"double"},"foMargin":{"type":"number","format":"double"},"commodity":{"type":"number","format":"double"},"currency":{"type":"number","format":"double"},"hedgeBenefit":{"type":"number","format":"double"},"userFundLimit":{"type":"number","format":"double"},"insufficientFund":{"type":"number","format":"double"}}},"KillSwitchResponse":{"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"killSwitchStatus":{"type":"string","description":"| **Enum Values**   | **Description**        |\n|-------------------|------------------------|\n| ACTIVATE          | KillSwitch Activated   |\n| DEACTIVATE        | KillSwitch Deactivated |"}}},"IndicatorSubscribeRequest":{"type":"object","properties":{"dhanClientId":{"type":"string"},"indicatorId":{"type":"string"},"expiryDate":{"type":"string"}}},"InxEstimatorRequest":{"required":["price","quantity","securityId","transactionType"],"type":"object","properties":{"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"price":{"type":"string","description":"Price at which order is placed"},"quantity":{"type":"string","description":"Number of shares (fractional supported)"},"transactionType":{"type":"string","description":"Transaction type - BUY(B) or SELL(S)"}}},"InxEstimatorResponse":{"type":"object","properties":{"brokerage":{"type":"number","description":"Brokerage charges","format":"float"},"orderCharges":{"type":"number","description":"Total order charges","format":"float"},"exchangeCharges":{"type":"number","description":"Exchange charges","format":"float"},"turnOverFee":{"type":"number","description":"Turnover fee","format":"float"},"gstCharges":{"type":"number","description":"GST charges","format":"float"},"otherCharges":{"type":"number","description":"Other charges","format":"float"}}},"InxOrderRequest":{"required":["orderType","securityId","transactionType"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"correlationId":{"maxLength":30,"minLength":0,"type":"string","description":"The user/partner generated id for tracking back"},"transactionType":{"type":"string","description":"Transaction type - BUY or SELL","enum":["BUY","SELL"]},"orderType":{"type":"string","description":"Order type - MKT, LMT, SL, SLM, AMT","enum":["MARKET","LIMIT","STOP_LOSS","STOP_LOSS_MARKET","AMOUNT"]},"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"quantity":{"type":"number","description":"Number of shares for the order","format":"float"},"price":{"type":"number","description":"Price at which order is placed","format":"float"},"triggerPrice":{"type":"number","description":"Trigger price for SL/SLM orders","format":"float"},"stopLossPrice":{"type":"number","description":"Stop Loss Price for Super Order","format":"float"},"targetPrice":{"type":"number","description":"Target Price for Super Order","format":"float"},"amount":{"type":"number","description":"Amount for AMT order type","format":"float"},"afterMarketOrder":{"type":"boolean","description":"Flag to inform that the order placed is After Market Order"}}},"InxMarginResponse":{"type":"object","properties":{"insufficientBal":{"type":"number","description":"Insufficient balance","format":"float"},"brokerage":{"type":"number","description":"Brokerage","format":"float"},"leverage":{"type":"string","description":"Leverage"},"totalMargin":{"type":"number","description":"Total margin required","format":"float"},"availableBal":{"type":"number","description":"Available balance","format":"float"}}},"GTTOrderModel":{"required":["transactionType"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"correlationId":{"maxLength":30,"minLength":0,"type":"string","description":"The user/partner generated id for tracking back"},"orderFlag":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| SINGLE           | For GTT Order types       |\n| OCO              | For OCO Order types      |","enum":["SINGLE","OCO"]},"transactionType":{"type":"string","description":"Signifies the type of transaction whether it's BUY or SELL","enum":["BUY","SELL"]},"exchangeSegment":{"type":"string","description":"| **Enums**    | **Exchange** | **Segment**       |\n|--------------|--------------|-------------------|\n| NSE_EQ       | NSE          | Equity Cash       |\n| NSE_FNO      | NSE          | Futures & Options |\n| BSE_EQ       | BSE          | Equity Cash       |\n| BSE_FNO      | BSE          | Futures & Options |\n","enum":["NSE_EQ","NSE_FNO","BSE_EQ","BSE_FNO"]},"productType":{"type":"string","description":"| **Enum Values** | **Description**                                |\n|-----------------|------------------------------------------------|\n| CNC             | Cash & Carry for equity deliveries             |\n| MTF             | Margin Traded Fund                             |\n| MARGIN          | Carry Forward in Futures & Options             |\n","enum":["CNC","MTF","MARGIN"]},"orderType":{"type":"string","description":"| **Enum Values**  | **Description**             |\n|------------------|-----------------------------|\n| LIMIT            | For Limit Order types       |\n| MARKET           | For market Order types      |","enum":["LIMIT","MARKET"]},"validity":{"type":"string","description":"Valid for 1Year/Expiry"},"securityId":{"type":"string","description":"Exchange standard identification for each scrip"},"quantity":{"type":"integer","description":"Number of shares for the order","format":"int32"},"disclosedQuantity":{"type":"integer","description":"Number of shares visible (Keep more than 30% of quantity)","format":"int32"},"price":{"type":"number","description":"Price at which order is placed","format":"float"},"triggerPrice":{"type":"number","description":"Price at which the order is triggered","format":"float"},"price1":{"type":"number","description":"Target price for OCO order","format":"float"},"triggerPrice1":{"type":"number","description":"Target trigger price For OCO order","format":"float"},"quantity1":{"type":"integer","description":"Target Quantity for OCO order","format":"int32"}}},"EdisFormRequest":{"required":["bulk","exchange","isin","qty","segment"],"type":"object","properties":{"isin":{"type":"string"},"qty":{"minimum":1,"type":"integer","format":"int32"},"exchange":{"type":"string","enum":["NSE","BSE","MCX","ALL"]},"segment":{"type":"string","enum":["EQ","COMM","FNO"]},"bulk":{"type":"boolean"}}},"EdisFormResponse":{"type":"object","properties":{"dhanClientId":{"type":"string"},"edisFormHtml":{"type":"string"}}},"EdisBulkFormRequest":{"required":["exchange","isin","segment"],"type":"object","properties":{"isin":{"type":"array","items":{"type":"string"}},"exchange":{"type":"string","enum":["NSE","BSE","MCX","ALL"]},"segment":{"type":"string","enum":["EQ","COMM","FNO"]}}},"TechnicalMetricsRequest":{"required":["exchangeSegment","indicators","instrument","securityId","timeframe"],"type":"object","properties":{"securityId":{"pattern":"\\d+","type":"string","description":"Exchange standard ID for each security  \n For eg. \"1333\""},"exchangeSegment":{"type":"string","description":"| **Enums**    | **Exchange** | **Segment**       |\n|--------------|--------------|-------------------|\n| NSE_EQ       | NSE          | Equity Cash       |\n| IDX_I        | INDEX        | Indices           |","enum":["NSE_EQ","IDX_I"]},"instrument":{"type":"string","description":"| **Enums** | **Description**        |\n|-----------|-------------------------|\n| INDEX     | Index                   |\n| EQUITY    | Equity                  |","enum":["INDEX","EQUITY"]},"timeframe":{"type":"string","description":"Candle size used to compute all indicators in this request.  \n**Note** : For intraday timeframes (1, 5, 15), indicators use candles from the current trading session only.\n\n| **Value** | **Type**  | **Description**                                           |\n|-----------|-----------|------------------------------------------------------------|\n| 1         | Intraday  | 1-minute candles                                           |\n| 5         | Intraday  | 5-minute candles                                           |\n| 15        | Intraday  | 15-minute candles                                          |\n| D         | Daily     | End-of-day daily candles. Default for positional analysis. |","enum":["1","5","15","D"]},"indicators":{"maxItems":2147483647,"minItems":1,"type":"array","description":"Array of indicator identifiers to fetch. Only the indicators passed here are computed and returned.  \nFor eg. [ \"SMA_20\", \"RSI_14\", \"MACD_HIST\" ]\n\n**Moving Averages**\n\n| **Identifier** | **Description**                       |\n|-----------------|----------------------------------------|\n| SMA_5           | Simple Moving Average — 5-period       |\n| SMA_10          | Simple Moving Average — 10-period      |\n| SMA_20          | Simple Moving Average — 20-period      |\n| SMA_50          | Simple Moving Average — 50-period      |\n| SMA_100         | Simple Moving Average — 100-period     |\n| SMA_200         | Simple Moving Average — 200-period     |\n| EMA_5           | Exponential Moving Average — 5-period  |\n| EMA_10          | Exponential Moving Average — 10-period |\n| EMA_20          | Exponential Moving Average — 20-period |\n| EMA_50          | Exponential Moving Average — 50-period |\n| EMA_100         | Exponential Moving Average — 100-period|\n| EMA_200         | Exponential Moving Average — 200-period|\n\n**Momentum / Oscillators**\n\n| **Identifier** | **Description**                                           | **Fixed Parameters**         |\n|-----------------|-------------------------------------------------------------|-------------------------------|\n| RSI_14          | Relative Strength Index                                      | Period: 14                    |\n| MACD_HIST       | MACD histogram (MACD line minus Signal line)                 | Fast: 12 / Slow: 26 / Signal: 9|\n| STOCH           | Stochastic Oscillator                                        | K: 9 / D: 6                    |\n| STOCHRSI_14     | Stochastic RSI                                               | Period: 14                    |\n| ATR_14          | Average True Range                                           | Period: 14                    |\n| ADX_14          | Average Directional Index — trend strength, not direction    | Period: 14                    |\n| UO              | Ultimate Oscillator                                          | Periods: 7 / 14 / 28          |\n| ROC             | Rate of Change                                               | Period: 12                    |\n| WILLR           | Williams %R                                                  | Period: 14                    |\n\n**Pivot Points**\n\n**Note** : Pivot levels always use the previous session's OHLC regardless of the timeframe in the request.\n\n| **Identifier**  | **Description**                                                                                     |\n|------------------|-------------------------------------------------------------------------------------------------------|\n| PIVOT_CLASSIC    | Standard floor pivot. Levels computed from previous session OHLC.                                     |\n| PIVOT_FIBONACCI  | Fibonacci ratios applied to the pivot range.                                                           |\n| PIVOT_CAMARILLA  | Tighter intraday levels derived from close and previous range.                                        |\n\n","items":{"type":"string","description":"Array of indicator identifiers to fetch. Only the indicators passed here are computed and returned.  \nFor eg. [ \"SMA_20\", \"RSI_14\", \"MACD_HIST\" ]\n\n**Moving Averages**\n\n| **Identifier** | **Description**                       |\n|-----------------|----------------------------------------|\n| SMA_5           | Simple Moving Average — 5-period       |\n| SMA_10          | Simple Moving Average — 10-period      |\n| SMA_20          | Simple Moving Average — 20-period      |\n| SMA_50          | Simple Moving Average — 50-period      |\n| SMA_100         | Simple Moving Average — 100-period     |\n| SMA_200         | Simple Moving Average — 200-period     |\n| EMA_5           | Exponential Moving Average — 5-period  |\n| EMA_10          | Exponential Moving Average — 10-period |\n| EMA_20          | Exponential Moving Average — 20-period |\n| EMA_50          | Exponential Moving Average — 50-period |\n| EMA_100         | Exponential Moving Average — 100-period|\n| EMA_200         | Exponential Moving Average — 200-period|\n\n**Momentum / Oscillators**\n\n| **Identifier** | **Description**                                           | **Fixed Parameters**         |\n|-----------------|-------------------------------------------------------------|-------------------------------|\n| RSI_14          | Relative Strength Index                                      | Period: 14                    |\n| MACD_HIST       | MACD histogram (MACD line minus Signal line)                 | Fast: 12 / Slow: 26 / Signal: 9|\n| STOCH           | Stochastic Oscillator                                        | K: 9 / D: 6                    |\n| STOCHRSI_14     | Stochastic RSI                                               | Period: 14                    |\n| ATR_14          | Average True Range                                           | Period: 14                    |\n| ADX_14          | Average Directional Index — trend strength, not direction    | Period: 14                    |\n| UO              | Ultimate Oscillator                                          | Periods: 7 / 14 / 28          |\n| ROC             | Rate of Change                                               | Period: 12                    |\n| WILLR           | Williams %R                                                  | Period: 14                    |\n\n**Pivot Points**\n\n**Note** : Pivot levels always use the previous session's OHLC regardless of the timeframe in the request.\n\n| **Identifier**  | **Description**                                                                                     |\n|------------------|-------------------------------------------------------------------------------------------------------|\n| PIVOT_CLASSIC    | Standard floor pivot. Levels computed from previous session OHLC.                                     |\n| PIVOT_FIBONACCI  | Fibonacci ratios applied to the pivot range.                                                           |\n| PIVOT_CAMARILLA  | Tighter intraday levels derived from close and previous range.                                        |\n\n"}}}},"TechnicalMetricsResponse":{"type":"object","properties":{"securityId":{"type":"string","description":"Echoed from request"},"timeframe":{"type":"string","description":"Echoed from request"},"data":{"type":"object","additionalProperties":{"type":"object","description":"| **Parameters** | **Data Type** | **Description** | **Sample value** |\n|-----------------|----------------|-------------------|--------------------|\n| data | Object | Keyed by indicator type. Only requested indicators are present. | { \"SMA\": [...], \"RSI\": {...} } |\n\nNote : SMA and EMA return an array of objects (one per requested period). All other indicators return a single object. PIVOT returns an object keyed by method name (Classic, Fibonacci, Camarilla).  \n\nNote : action labels per indicator — SMA/EMA: Bullish / Bearish. RSI/STOCH/STOCHRSI/WILLR: Overbought / Oversold / Neutral. MACD: Bullish / Bearish. ATR: More Volatile / Less Volatile. ADX: Strong Trend / Weak Trend. UO: Bullish / Bearish. ROC: Uptrend And Accelerating / Decelerating / Downtrend And Accelerating / Decelerating."},"description":"| **Parameters** | **Data Type** | **Description** | **Sample value** |\n|-----------------|----------------|-------------------|--------------------|\n| data | Object | Keyed by indicator type. Only requested indicators are present. | { \"SMA\": [...], \"RSI\": {...} } |\n\nNote : SMA and EMA return an array of objects (one per requested period). All other indicators return a single object. PIVOT returns an object keyed by method name (Classic, Fibonacci, Camarilla).  \n\nNote : action labels per indicator — SMA/EMA: Bullish / Bearish. RSI/STOCH/STOCHRSI/WILLR: Overbought / Oversold / Neutral. MACD: Bullish / Bearish. ATR: More Volatile / Less Volatile. ADX: Strong Trend / Weak Trend. UO: Bullish / Bearish. ROC: Uptrend And Accelerating / Decelerating / Downtrend And Accelerating / Decelerating."}},"example":{"securityId":"1333","timeframe":"D","data":{"SMA":[{"period":20,"value":22.5855,"action":"Bearish"}],"EMA":[{"period":20,"value":23.1731,"action":"Bearish"}],"RSI":{"value":44.9067,"action":"Neutral"},"MACD_HIST":{"value":-0.0241,"action":"Bearish"},"PIVOT":{"Classic":{"PP":22.98,"R1":23.14,"R2":23.31,"R3":23.47,"S1":22.81,"S2":22.65,"S3":22.48}}}}},"NewsHeadlineRequest":{"required":["categories","dhanClientId","limit"],"type":"object","properties":{"dhanClientId":{"type":"string","description":"User specific identification generated by Dhan"},"categories":{"type":"array","description":"News category filter. ALL returns all categories, unfiltered. Mandatory - cannot be null, omitted, or an empty array.","example":["ALL"],"items":{"type":"string","description":"| **Identifier** |\n|-----------------|\n| ALL |\n| COMPANIES |\n| EQUITY_MARKETS |\n| DEBT_MARKETS |\n| IPO |\n| GLOBAL |\n| INDIAN_ECONOMY |\n| GLOBAL_ECONOMY |\n| CURRENCY |\n| COMMODITIES |\n| CRYPTOCURRENCIES |\n| GOVERNMENT_POLICY_AND_REGULATION |\n| INFRASTRUCTURE |\n| INTERNATIONAL_TRADE |\n| INVESTMENT_IDEAS |\n| REAL_ESTATE |\n| STARTUPS |\n| TECHNOLOGY |\n| MUTUAL_FUNDS |","enum":["ALL","COMPANIES","EQUITY_MARKETS","DEBT_MARKETS","IPO","GLOBAL","INDIAN_ECONOMY","GLOBAL_ECONOMY","CURRENCY","COMMODITIES","CRYPTOCURRENCIES","GOVERNMENT_POLICY_AND_REGULATION","INFRASTRUCTURE","INTERNATIONAL_TRADE","INVESTMENT_IDEAS","REAL_ESTATE","STARTUPS","TECHNOLOGY","MUTUAL_FUNDS"]}},"limit":{"maximum":50,"minimum":1,"type":"integer","description":"Max number of news items to return, counted from the current date/time backwards. Allowed range is 1 to 50.  \n For eg. 50","format":"int32","example":1},"universe":{"type":"string","description":"Scopes the news to the caller's portfolio or watchlist. Optional - omit for no scoping (must be a string, not null , not empty).  \n","enum":["PORTFOLIO","WATCHLIST","PORTFOLIO","WATCHLIST"]},"stockList":{"type":"array","description":"Security IDs to filter news by specific stocks. Empty array or omitted means no stock filter. Optional, but if included must be an array (null is not allowed) and cannot contain null entries.","example":[],"items":{"type":"string","description":"Security ID to filter news by a specific stock."}}}},"NewsData":{"type":"object","properties":{"latestNews":{"type":"array","description":"List of latest news items matching the request filters. Empty when the vendor has no items for this bucket (e.g. narrow date/time filters where matches only fall under nextNews).","items":{"$ref":"#/components/schemas/NewsHeadlineDetail"}}},"description":"Container object. latestNews/nextNews hold the returned news items, filtered by category/stock and paginated per the request."},"NewsHeadlineDetail":{"type":"object","properties":{"newsObject":{"$ref":"#/components/schemas/NewsObject"},"category":{"type":"string","description":"Top-level news category."},"subCategory":{"type":"string","description":"News sub-category."},"publishDate":{"type":"string","description":"Article publish date, in YYYY-MM-DD format."},"stockName":{"type":"string","description":"Full company name."},"isinCode":{"type":"string","description":"ISIN of the security."},"smSymbol":{"type":"string","description":"Short market symbol."},"nseScripCode":{"type":"integer","description":"NSE scrip code.","format":"int32"},"bseScripCode":{"type":"integer","description":"BSE scrip code.","format":"int32"},"displaySymbol":{"type":"string","description":"Human-readable display name."},"tickSize":{"type":"number","description":"Minimum price movement.","format":"double"},"lotSize":{"type":"integer","description":"Units per market lot.","format":"int32"}},"description":"List of latest news items matching the request filters. Empty when the vendor has no items for this bucket (e.g. narrow date/time filters where matches only fall under nextNews)."},"NewsHeadlineResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/NewsData"}},"example":{"data":{"latestNews":[{"newsObject":{"overallSentiment":"positive","title":"Magellanic Cloud wins Rs 12.13 crore order from Western Railway","text":"Magellanic Cloud secures Rs 12.13 crore work order from Western Railway for telecom infrastructure."},"category":"companies","subCategory":"orders-deals","publishDate":"2026-08-24","stockName":"MAGELLANIC CLOUD LIMITED","isinCode":"INE613C01026","smSymbol":"MCLOUD","nseScripCode":29482,"bseScripCode":538891,"displaySymbol":"Magellanic Cloud","tickSize":0.01,"lotSize":1}]}}},"NewsObject":{"type":"object","properties":{"overallSentiment":{"type":"string","description":"Sentiment of the article.","enum":["positive","negative","neutral"]},"title":{"type":"string","description":"Article headline."},"text":{"type":"string","description":"Full article body/summary."}},"description":"Article headline, sentiment, and full text."},"TopInstrumentsRequest":{"required":["category","exchangeSegment","instrument","limit"],"type":"object","properties":{"exchangeSegment":{"type":"string","description":"| **Enums** | **Description**                      |\n|-----------|---------------------------------------|\n| NSE_FNO   | NSE Futures and Options segment.       |\n| BSE_FNO   | BSE Futures and Options segment.       |\n| NSE_COMM  | NSE Commodity Derivatives segment.      |\n| MCX_COMM  | MCX Commodity Derivatives segment.      |\n| NSE_EQ    | NSE Equity segment.                    |\n| BSE_EQ    | BSE Equity segment.                    |","enum":["NSE_FNO","BSE_FNO","NSE_COMM","MCX_COMM","NSE_EQ","BSE_EQ"]},"instrument":{"maxItems":2147483647,"minItems":1,"type":"array","description":"Instrument types to include in the result. Minimum one value is required. All values must belong to the same group (options, futures, or equity) - they cannot be mixed.","example":["OPTIDX","OPTSTK"],"items":{"maxLength":2147483647,"minLength":1,"type":"string","description":"| **Value** | **Description**        |\n|-----------|-------------------------|\n| OPTIDX    | Index options.          |\n| OPTSTK    | Stock options.          |\n| OPTFUT    | Commodity options.      |\n| FUTIDX    | Index futures.          |\n| FUTSTK    | Stock futures.          |\n| FUTCOM    | Commodity futures.      |\n| EQUITY    | Cash-market equity instruments. |","enum":["OPTIDX","OPTSTK","OPTFUT","FUTIDX","FUTSTK","FUTCOM","EQUITY"]}},"category":{"type":"string","description":"Ranking category to apply. Supported categories depend on the selected instrument.  \n\n| **Category**   | **Applicable To** | **Description**                                                             |\n|-----------------|--------------------|-------------------------------------------------------------------------------|\n| HIGHEST_OI      | Options            | Option contracts with the highest current open interest.                       |\n| OI_GAINERS      | Options, Futures   | Derivative contracts with the highest positive percentage change in open interest. |\n| OI_LOSERS       | Options, Futures   | Derivative contracts with the highest decline in open interest by percentage.  |\n| TOP_VOLUME      | Options, Futures   | Derivative contracts with the highest traded volume during the current session. |\n| PRICE_GAINERS   | Stocks             | Equity instruments with the highest positive percentage price change.          |\n| PRICE_LOSERS    | Stocks             | Equity instruments with the highest negative percentage price change.         |","enum":["HIGHEST_OI","OI_GAINERS","OI_LOSERS","TOP_VOLUME","PRICE_GAINERS","PRICE_LOSERS"]},"expiry":{"type":"string","description":"Expiry date of the derivative contracts in YYYY-MM-DD format. Required when instrument is an option or future contract. Optional and ignored when instrument is EQUITY.  \n For eg. \"2026-07-28\"","example":"yyyy-mm-dd"},"universe":{"type":"string","description":"Stock universe within which instruments are ranked. Required when instrument is EQUITY; ignored otherwise (its presence or absence has no effect for options/futures).  \n\n| **Enums**              | **Description**                                                        |\n|--------------------------|-------------------------------------------------------------------------|\n| ALL                      | All supported equity instruments in the selected exchange segment.       |\n| FNO_STOCKS               | Equity instruments whose derivatives are available in the F&O segment.  |\n| NIFTY_50                 | Equity constituents of the Nifty 50 index.                              |\n| NIFTY_BANK               | Equity constituents of the Nifty Bank index.                            |\n| FINNIFTY                 | Equity constituents of the Nifty Financial Services (FinNifty) index.   |\n| INDIA_VIX                | Equity constituents of the India VIX index.                             |\n| NIFTY_MIDCAP             | Equity constituents of the Nifty Midcap index.                          |\n| NIFTY_NEXT_50            | Equity constituents of the Nifty Next 50 index.                         |\n| NIFTY_SMALLCAP_50        | Equity constituents of the Nifty Smallcap 50 index.                     |\n| NIFTY_MID_CAP_50         | Equity constituents of the Nifty Midcap 50 index.                       |\n| NIFTY_100                | Equity constituents of the Nifty 100 index.                             |\n| NIFTY_200                | Equity constituents of the Nifty 200 index.                             |\n| NIFTY_500                | Equity constituents of the Nifty 500 index.                             |\n| NIFTY_MIDCAP_100         | Equity constituents of the Nifty Midcap 100 index.                      |\n| NIFTY_MIDCAP_150         | Equity constituents of the Nifty Midcap 150 index.                      |\n| NIFTY_SMALLCAP_100       | Equity constituents of the Nifty Smallcap 100 index.                    |\n| NIFTY_SMALLCAP_250       | Equity constituents of the Nifty Smallcap 250 index.                    |\n| NIFTY_MICROCAP_250       | Equity constituents of the Nifty Microcap 250 index.                    |\n| NIFTY_AUTO               | Equity constituents of the Nifty Auto index.                            |\n| NIFTY_PRIVATE_BANK       | Equity constituents of the Nifty Private Bank index.                    |\n| NIFTY_FMCG               | Equity constituents of the Nifty FMCG index.                            |\n| NIFTY_ENERGY             | Equity constituents of the Nifty Energy index.                          |\n| NIFTY_INFRA              | Equity constituents of the Nifty Infrastructure index.                  |\n| NIFTY_IT                 | Equity constituents of the Nifty IT index.                              |\n| NIFTY_MEDIA              | Equity constituents of the Nifty Media index.                           |\n| NIFTY_METAL              | Equity constituents of the Nifty Metal index.                           |\n| NIFTY_MNC                | Equity constituents of the Nifty MNC index.                             |\n| NIFTY_PHARMA             | Equity constituents of the Nifty Pharma index.                          |\n| NIFTY_PSU_BANK           | Equity constituents of the Nifty PSU Bank index.                        |\n| NIFTY_REALTY             | Equity constituents of the Nifty Realty index.                          |\n| NIFTY_SERVICE_SECTOR     | Equity constituents of the Nifty Services Sector index.                 |\n| NIFTY_CUNSUMPTION        | Equity constituents of the Nifty Consumption index.                     |\n| GIFT_NIFTY               | Equity constituents of the GIFT Nifty index.                            |\n| SENSEX                   | Equity constituents of the Sensex index.                                |\n| BSE_100                  | Equity constituents of the BSE 100 index.                               |\n| BSE_200                  | Equity constituents of the BSE 200 index.                               |\n| BSE_500                  | Equity constituents of the BSE 500 index.                               |\n| BSE_150_MIDCAP           | Equity constituents of the BSE 150 MidCap index.                        |\n| BSE_250_SMALLCAP         | Equity constituents of the BSE 250 SmallCap index.                      |\n| BSE_250_LARGE_MID        | Equity constituents of the BSE 250 Large MidCap index.                  |\n| BSE_400_MID_SMALL        | Equity constituents of the BSE 400 MidSmallCap index.                   |\n| BSE_BANKEX               | Equity constituents of the BSE Bankex index.                            |\n| BSE_AUTO                 | Equity constituents of the BSE Auto index.                              |\n| BSE_CAPITAL_GOODS        | Equity constituents of the BSE Capital Goods index.                     |\n| BSE_CONSUMER_DURABLES    | Equity constituents of the BSE Consumer Durables index.                 |\n| BSE_ENERGY               | Equity constituents of the BSE Energy index.                           |\n| BSE_FINANCE              | Equity constituents of the BSE Finance index.                          |\n| BSE_FMCG                 | Equity constituents of the BSE FMCG index.                             |\n| BSE_HEALTHCARE           | Equity constituents of the BSE Healthcare index.                       |\n| BSE_INDIA_MFG            | Equity constituents of the BSE India Manufacturing index.               |\n| BSE_INDUSTRIALS          | Equity constituents of the BSE Industrials index.                       |\n| BSE_IPO                  | Equity constituents of the BSE IPO index.                               |\n| BSE_IT                   | Equity constituents of the BSE IT index.                                |\n| BSE_METALS               | Equity constituents of the BSE Metal index.                            |\n| BSE_OIL_AND_GAS          | Equity constituents of the BSE Oil & Gas index.                        |\n| BSE_POWER                | Equity constituents of the BSE Power index.                            |\n| BSE_PSU                  | Equity constituents of the BSE PSU index.                              |\n| BSE_TELECOM              | Equity constituents of the BSE Telecom index.                          |","enum":["ALL","FNO_STOCKS","NIFTY_50","NIFTY_BANK","FINNIFTY","INDIA_VIX","NIFTY_MIDCAP","NIFTY_NEXT_50","NIFTY_SMALLCAP_50","NIFTY_MID_CAP_50","NIFTY_100","NIFTY_200","NIFTY_500","NIFTY_MIDCAP_100","NIFTY_MIDCAP_150","NIFTY_SMALLCAP_100","NIFTY_SMALLCAP_250","NIFTY_MICROCAP_250","NIFTY_AUTO","NIFTY_PRIVATE_BANK","NIFTY_FMCG","NIFTY_ENERGY","NIFTY_INFRA","NIFTY_IT","NIFTY_MEDIA","NIFTY_METAL","NIFTY_MNC","NIFTY_PHARMA","NIFTY_PSU_BANK","NIFTY_REALTY","NIFTY_SERVICE_SECTOR","NIFTY_CUNSUMPTION
[...]
